Encuentran un fallo grave de seguridad en la mayoría de routers de TP-Link

Encuentran un fallo grave de seguridad en la mayoría de routers de TP-Link

Está vinculado al protocolo pppd de los dispositivos.

Ni qué decir tiene que cada vez que se publica una noticia sobre fallas de seguridad en nuestros routers, la cosa es como para tentarse la ropa, porque nadie quiere que un pirata acabe metiendo la cabeza en su red doméstica y que sus ordenadores puedan terminar secuestrados... o con la información volando sin control hasta los servidores de los hackers.

Y el problema es que ahora, la protagonista de estos problemas de seguridad es una empresa que cuenta sus routers entre los más populares del mercado, por lo que el problema es todavía mayor. Y es más, según los responsables del descubrimiento esta vulnerabilidad lleva operativa más de 17 años, desde 2003. ¿Cómo es posible?

El protocolo pppd, detrás del problema

Por resumir mucho las cosas, los problemas de seguridad de estos routers de TP-Link tienen que ver con el software del protocolo pppd (Point-to-Point Protocol Daemon) que cuenta con un defecto que permite a un atacante ejecutar malware y tomar el control sin problemas del dispositivo infectado. Un paso previo antes de tener acceso a nuestros datos e información relevante.

Router de TP-Link.
Router de TP-Link.

El responsable de este descubrimiento ha sido el investigador de la empresa IOActive, Ilja Van Sprundel, que ha detectado un error en la forma en la que los llamados paquetes EAP (Extensible Authentication Protocol) se utilizan, ya que validan de forma errónea el tamaño de entrada que tienen antes de copiar los datos que se suministran en la memoria del dispositivo.

Este error se produce porque muchos de los procesos afectados por esa falla de seguridad se llevan a cabo gracias a permisos elevados, por lo que en el momento que un hacker toma el control automáticamente tiene acceso a todas las funciones del dispositivo, lo que le permite hacer cambios y modificaciones a su antojo, sin que exista un contrapeso que lo evite.

De momento, esta vulnerabilidad sigue abierta aunque os recomendamos que visitéis la página de soporte de TP-Link para verificar, primero, si vuestro dispositivo está afectado y, segundo, si es posible descargar un parche reciente que arregle el desaguisado. Para que encontréis fácilmente ese remedio, tened en cuenta que la vulnerabilidad ha sido bautizada con el nombre de CVE-2020-8597.

Recordad que en el caso de los routers, la instalación debe realizarse, bien a través de la aplicación de escritorio que ofrezca el fabricante, o bien gracias al navegador web, conectando a través de la puerta de enlace para más tarde seleccionar la opción de actualizar firmware, escoger el archivo descargado de la página de soporte y, finalmente, instalarlo.

Normas
Entra en El País para participar